Skip to main content
Alerting & Response/Alert Templates
GETAlertingSince 1.0SynchronousAuth Required

GetAlertTemplateVariableReference

Get the variable reference documentation for template authoring

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of available template variables

    Example: (nested array)

    • pathString

      Variable path in the template data model

      Example: .AlertName

    • typeString

      Data type of the variable (text, number, or boolean)

      Example: text

    • descriptionString

      Description of what the variable contains

      Example: Name of the alert rule

    • exampleString

      Example value for the variable

      Example: High CPU Usage

    • groupString

      Variable group for documentation organization

      Example: alert

Endpoint

GET/api/v1/alerting/templates/variables

/api/v1/alerting/templates/variables

Operation ID

GetAlertTemplateVariableReference

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/templates/variables' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history